Client A P I
Get server resources
Returns the latest cached resource utilization reported by Wings for the server.
GET
/api/client/servers/{server_uuid}/resourcesAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/resources"{ "object": "stats", "attributes": { "current_state": "running", "is_suspended": false, "resources": { "memory_bytes": 536870912, "cpu_absolute": 12.5, "disk_bytes": 2147483648, "network_rx_bytes": 102400, "network_tx_bytes": 204800, "uptime": 3600000 } }}